<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: melon::SvmParser Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('classmelon_1_1_svm_parser.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="classmelon_1_1_svm_parser-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">melon::SvmParser Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>This class implements a support vector machine file parser.  
 <a href="#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="svm_parser_8h_source.html">svmParser.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for melon::SvmParser:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classmelon_1_1_svm_parser.png" usemap="#melon::SvmParser_map" alt=""/>
  <map id="melon::SvmParser_map" name="melon::SvmParser_map">
<area href="classmelon_1_1_model_parser.html" title="This class is a abstract parent class for model parser implemented in the MeLOn library." alt="melon::ModelParser" shape="rect" coords="0,0,124,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a76f3b6e71b2055a9780a1db0c4dc948c" id="r_a76f3b6e71b2055a9780a1db0c4dc948c"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="struct_model_data.html">ModelData</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a76f3b6e71b2055a9780a1db0c4dc948c">parse_model</a> (const std::string modelPath, const std::string modelName) override</td></tr>
<tr class="memdesc:a76f3b6e71b2055a9780a1db0c4dc948c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function for parsing the support vector machine data from a file.  <br /></td></tr>
<tr class="separator:a76f3b6e71b2055a9780a1db0c4dc948c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classmelon_1_1_model_parser"><td colspan="2" onclick="javascript:dynsection.toggleInherit('pub_methods_classmelon_1_1_model_parser')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classmelon_1_1_model_parser.html">melon::ModelParser</a></td></tr>
<tr class="memitem:a1797eba4c97ed24dcb60b874c1d59bde inherit pub_methods_classmelon_1_1_model_parser" id="r_a1797eba4c97ed24dcb60b874c1d59bde"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_model_parser.html#a1797eba4c97ed24dcb60b874c1d59bde">~ModelParser</a> ()=default</td></tr>
<tr class="memdesc:a1797eba4c97ed24dcb60b874c1d59bde inherit pub_methods_classmelon_1_1_model_parser"><td class="mdescLeft">&#160;</td><td class="mdescRight">Virtual desctructor to enable inheritance.  <br /></td></tr>
<tr class="separator:a1797eba4c97ed24dcb60b874c1d59bde inherit pub_methods_classmelon_1_1_model_parser"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-methods" name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:ad08d80e25cc6047a1905e06c9769d36d" id="r_ad08d80e25cc6047a1905e06c9769d36d"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="namespacemelon.html#ae9d1641da9e08a0d25d8d6cefcc92887">KERNEL_FUNCTION</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ad08d80e25cc6047a1905e06c9769d36d">string_to_kernel_function</a> (const std::string &amp;kernelName)</td></tr>
<tr class="memdesc:ad08d80e25cc6047a1905e06c9769d36d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turns string with kernel name into enum representation.  <br /></td></tr>
<tr class="separator:ad08d80e25cc6047a1905e06c9769d36d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd1ea6fbd437d77405184d8570214024" id="r_acd1ea6fbd437d77405184d8570214024"><td class="memItemLeft" align="right" valign="top">static std::shared_ptr&lt; <a class="el" href="structmelon_1_1_scaler_data.html">ScalerData</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#acd1ea6fbd437d77405184d8570214024">parse_scaler</a> (<a class="el" href="gp_parser_8cpp.html#ab701e3ac61a85b337ec5c1abaad6742d">json</a> scalerJson)</td></tr>
<tr class="memdesc:acd1ea6fbd437d77405184d8570214024"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function for parsing scaler data from json object.  <br /></td></tr>
<tr class="separator:acd1ea6fbd437d77405184d8570214024"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="inherited" name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_classmelon_1_1_model_parser"><td colspan="2" onclick="javascript:dynsection.toggleInherit('pro_methods_classmelon_1_1_model_parser')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classmelon_1_1_model_parser.html">melon::ModelParser</a></td></tr>
<tr class="memitem:a38cba45beb94be7372469315f017576c inherit pro_methods_classmelon_1_1_model_parser" id="r_a38cba45beb94be7372469315f017576c"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_model_parser.html#a38cba45beb94be7372469315f017576c">_format_file_path</a> (const std::string modelPath, const std::string modelName, const <a class="el" href="namespacemelon.html#a4304be33fc99f22bd328db5774394531">MODEL_FILE_TYPE</a> fileType)</td></tr>
<tr class="memdesc:a38cba45beb94be7372469315f017576c inherit pro_methods_classmelon_1_1_model_parser"><td class="mdescLeft">&#160;</td><td class="mdescRight">Applies the correct format to the path given by the user.  <br /></td></tr>
<tr class="separator:a38cba45beb94be7372469315f017576c inherit pro_methods_classmelon_1_1_model_parser"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2631bf777f02fa3deefa3391affedf0b inherit pro_methods_classmelon_1_1_model_parser" id="r_a2631bf777f02fa3deefa3391affedf0b"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_model_parser.html#a2631bf777f02fa3deefa3391affedf0b">_format_folder_path</a> (const std::string modelPath)</td></tr>
<tr class="memdesc:a2631bf777f02fa3deefa3391affedf0b inherit pro_methods_classmelon_1_1_model_parser"><td class="mdescLeft">&#160;</td><td class="mdescRight">Applies the correct format to the path given by the user.  <br /></td></tr>
<tr class="separator:a2631bf777f02fa3deefa3391affedf0b inherit pro_methods_classmelon_1_1_model_parser"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_static_methods_classmelon_1_1_model_parser"><td colspan="2" onclick="javascript:dynsection.toggleInherit('pro_static_methods_classmelon_1_1_model_parser')"><img src="closed.png" alt="-"/>&#160;Static Protected Member Functions inherited from <a class="el" href="classmelon_1_1_model_parser.html">melon::ModelParser</a></td></tr>
<tr class="memitem:a079c906eccf340590701dba8d6a776d9 inherit pro_static_methods_classmelon_1_1_model_parser" id="r_a079c906eccf340590701dba8d6a776d9"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="namespacemelon.html#a7ee65995944832d7b450202201d45c11">SCALER_TYPE</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_model_parser.html#a079c906eccf340590701dba8d6a776d9">_string_to_scaler_type</a> (const std::string scalerTypeName)</td></tr>
<tr class="memdesc:a079c906eccf340590701dba8d6a776d9 inherit pro_static_methods_classmelon_1_1_model_parser"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turns a string containing the name of an scaler type in the correct enum representation.  <br /></td></tr>
<tr class="separator:a079c906eccf340590701dba8d6a776d9 inherit pro_static_methods_classmelon_1_1_model_parser"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2a5a119986e39a4f951d9952e5d209e inherit pro_static_methods_classmelon_1_1_model_parser" id="r_ab2a5a119986e39a4f951d9952e5d209e"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="namespacemelon.html#a7c96133788161408370e83766fc229ce">SCALER_PARAMETER</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_model_parser.html#ab2a5a119986e39a4f951d9952e5d209e">_string_to_scaler_parameter</a> (const std::string scalerParameterName)</td></tr>
<tr class="memdesc:ab2a5a119986e39a4f951d9952e5d209e inherit pro_static_methods_classmelon_1_1_model_parser"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turns a string containing the name of an scaler type in the correct enum representation.  <br /></td></tr>
<tr class="separator:ab2a5a119986e39a4f951d9952e5d209e inherit pro_static_methods_classmelon_1_1_model_parser"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classmelon_1_1_model_parser"><td colspan="2" onclick="javascript:dynsection.toggleInherit('pro_attribs_classmelon_1_1_model_parser')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classmelon_1_1_model_parser.html">melon::ModelParser</a></td></tr>
<tr class="memitem:a1be76f5606faa2afdad693f26dd1660a inherit pro_attribs_classmelon_1_1_model_parser" id="r_a1be76f5606faa2afdad693f26dd1660a"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_model_parser.html#a1be76f5606faa2afdad693f26dd1660a">_modelPath</a></td></tr>
<tr class="separator:a1be76f5606faa2afdad693f26dd1660a inherit pro_attribs_classmelon_1_1_model_parser"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7d5473b675b9595aee8db5f44a5a2c1 inherit pro_attribs_classmelon_1_1_model_parser" id="r_ac7d5473b675b9595aee8db5f44a5a2c1"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_model_parser.html#ac7d5473b675b9595aee8db5f44a5a2c1">_modelName</a></td></tr>
<tr class="separator:ac7d5473b675b9595aee8db5f44a5a2c1 inherit pro_attribs_classmelon_1_1_model_parser"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class implements a support vector machine file parser. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a76f3b6e71b2055a9780a1db0c4dc948c" name="a76f3b6e71b2055a9780a1db0c4dc948c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a76f3b6e71b2055a9780a1db0c4dc948c">&#9670;&#160;</a></span>parse_model()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt; <a class="el" href="struct_model_data.html">ModelData</a> &gt; SvmParser::parse_model </td>
          <td>(</td>
          <td class="paramtype">const std::string</td>          <td class="paramname"><span class="paramname"><em>modelPath</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string</td>          <td class="paramname"><span class="paramname"><em>modelName</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Function for parsing the support vector machine data from a file. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">modelPath</td><td>Path to the location of the support vector machine file</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">modelName</td><td>name of the model</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>returns modelData struct containing the information defining the support vector machine </dd></dl>

<p>Implements <a class="el" href="classmelon_1_1_model_parser.html#ac7d0b1a14fcfe2a609487c402d7edb3f">melon::ModelParser</a>.</p>

</div>
</div>
<a id="acd1ea6fbd437d77405184d8570214024" name="acd1ea6fbd437d77405184d8570214024"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd1ea6fbd437d77405184d8570214024">&#9670;&#160;</a></span>parse_scaler()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt; <a class="el" href="structmelon_1_1_scaler_data.html">ScalerData</a> &gt; SvmParser::parse_scaler </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="gp_parser_8cpp.html#ab701e3ac61a85b337ec5c1abaad6742d">json</a></td>          <td class="paramname"><span class="paramname"><em>scalerJson</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Function for parsing scaler data from json object. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">scalerJson</td><td>json object containing the scaler specifications</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>returns a scaler data object containing the data rewuired to create the specified scaler. </dd></dl>

</div>
</div>
<a id="ad08d80e25cc6047a1905e06c9769d36d" name="ad08d80e25cc6047a1905e06c9769d36d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad08d80e25cc6047a1905e06c9769d36d">&#9670;&#160;</a></span>string_to_kernel_function()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespacemelon.html#ae9d1641da9e08a0d25d8d6cefcc92887">KERNEL_FUNCTION</a> SvmParser::string_to_kernel_function </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;</td>          <td class="paramname"><span class="paramname"><em>kernelName</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Turns string with kernel name into enum representation. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">kernelName</td><td>is a std::string with the kernel name</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>returns the enum representation of file type </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>C:/Data/Git/MeLOn/support vector machine/model/inc/<a class="el" href="svm_parser_8h_source.html">svmParser.h</a></li>
<li>C:/Data/Git/MeLOn/support vector machine/model/src/<a class="el" href="svm_parser_8cpp.html">svmParser.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacemelon.html">melon</a></li><li class="navelem"><a class="el" href="classmelon_1_1_svm_parser.html">SvmParser</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
